Package org.eclipse.pde.api.tools.annotations

# Annotation Interface NoExtend

@Documented @Target(TYPE) @Retention(CLASS) public @interface NoExtend
Classes and interfaces tagged with this annotation are declaring they are not to be extended by clients. If this annotation is used anywhere except classes or interfaces it will be ignored.

Since:
  1.0

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
A message to provide contextual information to clients about why this annotations is applied.

## Element Details

### value

String value
A message to provide contextual information to clients about why this annotations is applied.

Since:
  1.3

Default:
  `"This class or interface is not intended to be extended by clients."`